Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Class DeleteQuery

    java.lang.Object
      org.apache.cayenne.query.AbstractQuery
          org.apache.cayenne.query.QualifiedQuery
              org.apache.cayenne.query.DeleteQuery

All Implemented Interfaces:
  java.io.Serializable, Query

    public class DeleteQuery

extends QualifiedQuery

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.query.QualifiedQuery
`qualifier`

Fields inherited from class org.apache.cayenne.query.AbstractQuery
`name, root`

Constructor Summary
`DeleteQuery()` Creates empty DeleteQuery.
`DeleteQuery(java.lang.Class rootClass)` Creates a DeleteQuery with null qualifier, for the entity which uses the given class
`DeleteQuery(java.lang.Class rootClass, Expression qualifier)` Creates a DeleteQuery for the entity which uses the given class, with the given qualifier
`DeleteQuery(ObjEntity root)` Creates a DeleteQuery with null qualifier, for the specifed ObjEntity
`DeleteQuery(ObjEntity root, Expression qualifier)` Creates a DeleteQuery for the specifed ObjEntity with the given qualifier
`DeleteQuery(java.lang.String objEntityName)` Creates DeleteQuery with `objEntityName` parameter.
`DeleteQuery(java.lang.String objEntityName, Expression qualifier)` Creates DeleteQuery with `objEntityName` and `qualifier` parameters.

Method Summary
`SQLAction` | `createSQLAction(SQLActionVisitor visitor)` Calls "makeUpdate" on the visitor.

Methods inherited from class org.apache.cayenne.query.QualifiedQuery
`andQualifier, getQualifier, orQualifier, setQualifier`

Methods inherited from class org.apache.cayenne.query.AbstractQuery
`getMetaData, getName, getRoot, route, setName, setRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteQuery

    public DeleteQuery()

  Creates empty DeleteQuery.

### DeleteQuery

    public DeleteQuery(ObjEntity root)

  Creates a DeleteQuery with null qualifier, for the specifed ObjEntity

  Parameters:
    `root` - the ObjEntity this DeleteQuery is for.

### DeleteQuery

    public DeleteQuery(ObjEntity root,
                       Expression qualifier)

  Creates a DeleteQuery for the specifed ObjEntity with the given qualifier

  Parameters:
    `root` - the ObjEntity this DeleteQuery is for.
    `qualifier` - an Expression indicating which objects should be deleted

### DeleteQuery

    public DeleteQuery(java.lang.Class rootClass)

  Creates a DeleteQuery with null qualifier, for the entity which uses the given class

  Parameters:
    `rootClass` - the Class of objects this DeleteQuery is for.

### DeleteQuery

    public DeleteQuery(java.lang.Class rootClass,
                       Expression qualifier)

  Creates a DeleteQuery for the entity which uses the given class, with the given qualifier

  Parameters:
    `rootClass` - the Class of objects this DeleteQuery is for.
    `qualifier` - an Expression indicating which objects should be deleted

### DeleteQuery

    public DeleteQuery(java.lang.String objEntityName)

  Creates DeleteQuery with `objEntityName` parameter.

### DeleteQuery

    public DeleteQuery(java.lang.String objEntityName,
                       Expression qualifier)

  Creates DeleteQuery with `objEntityName` and `qualifier` parameters.

Method Detail

### createSQLAction

    public SQLAction createSQLAction(SQLActionVisitor visitor)

  Calls "makeUpdate" on the visitor.

  Specified by:
    `createSQLAction` in interface `Query`
  Specified by:
    `createSQLAction` in class `AbstractQuery`
  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.